---
title: id
slug: Web/XPath/Functions/id
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>id</code> function finds nodes matching the given ids and returns a node-set containing the identified nodes.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">id(<em>expression</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>expression</em></code></dt>
 <dd>If <code><em>expression</em></code> is a node-set, then the string value of each node in the node-set is treated as an individual id. The returned node set is the nodes corresponding to those ids.</dd>
</dl>

<dl>
 <dd>If <code><em>expression</em></code> is a string, or anything other than a node-set, then <code><em>expression</em></code> is treated as a space-separated list of ids. The returned node set is the nodes corresponding to those ids.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set containing the node or nodes identified by the given id or ids.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>The DTD of the XML document determines what attribute is an ID. See <a class="external" href="http://www.w3.org/TR/xpath#unique-id">XPath 1.0 5.2.1</a></li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-id">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Partially supported.</p>
